import java.awt.BasicStroke;
import java.awt.Color;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.DisplayMode;
import java.awt.Graphics2D;
import java.awt.GraphicsDevice;
import java.awt.GraphicsEnvironment;
import java.awt.Shape;
import java.awt.Stroke;
import java.awt.geom.Rectangle2D;
import java.io.File;
import java.io.IOException;
import java.util.Date;
import java.util.Scanner;

import javax.swing.JFrame;

import type.lang.UniPanel;
import type.lib.CreditCard;
import type.lib.Fraction;
import type.lib.GlobalCredit;
import type.lib.Investment;
import type.lib.Stock;

public class Labtest10_Sec01_Part2 {

	/**
	 * @param args
	 * @throws IOException
	 */
	public static void main(String[] args) throws IOException {

		/**
		 * [2 marks] Step 1: Use the getRandom() method of GlobalCredit to
		 * obtain a GlobalCredit object, which encapsulates a collection of
		 * randomly-created CreditCard objects. Print out the elements in the
		 * GlobalCredit object (Hint: Figure 8.20 has segments that implement
		 * iteration over a randomly-created GlobalCredit object). When printing
		 * out each element, invoke its toString() method and as well print out
		 * the card's expiry date, separated by a tab character ("\t")
		 */


		/**
		 * [2 marks] Step 2: Define a variable called firstElement of type
		 * CreditCard. Iterate over the elements in the GlobalCredit object once
		 * again, but this time, devise a way to assign firstElement to refer to
		 * the first element in the collection. You don't need to print each
		 * element out. There are several possible ways to do this - choose the
		 * one that suits you. At the end of the iteration, print out a blank
		 * line and then firstElement to the console (the same information as in
		 * the prior step)
		 */

		
		/**
		 * [2 marks] Step 3: Use the appropriate accessor method on the
		 * "firstElement" CreditCard object in order to determine the expiry
		 * date of the card. Obtain a reference to the Date object and store it
		 * in an appropriately-declared variable "expiryDate". Print out the
		 * Date object to System.out.
		 */

		
		/**
		 * [2 marks] Step 4: Use the appropriate mutator method on the
		 * expiryDate Date object to change its value to a point in time that is
		 * 24 hours later. Hint: the getTime() and setTime() methods should be
		 * used; you need to determine how many milliseconds there are in 24
		 * hours. Once you have mutated the Date object, print it to System.out.
		 */


		/**
		 * [1 mark] Step 5: Now print out the "firstElement" credit card object
		 * once again. Print out both its toString return and its expiry date
		 * (as in the prior steps).
		 * 
		 * Did the credit card object change when the composite element (its
		 * Date object) was changed? Your will have the opportunity to provide
		 * your answer in a subsequent part.
		 */


		/**
		 * Now answer the comprehension question.
		 */

	}
}
